name: CI

on:
  push:
    branches:
      - develop

jobs:
  deploy:
    runs-on: ubuntu
    steps:
      - uses: actions/checkout@v4

      - name: Pull latest images
        run: |
          docker pull gitea.gofwd.group/forward_group/ballistic-builder-spring/spring-api:latest
          docker pull gitea.gofwd.group/sean/shadow-gunbuilder-ai-proto/webui:latest

      - name: Recreate containers with new images
        run: docker compose up -d